# Uses of Interface
org.eclipse.emf.cdo.etypes.AnnotationValidator

Packages that use AnnotationValidator
Package
Description
org.eclipse.emf.cdo.etypes
The generated EMF API of the CDO system data types and native annotations.
org.eclipse.emf.cdo.etypes.util
The generated EMF utilities of the CDO system data types and native annotations.

## Uses of AnnotationValidator in org.eclipse.emf.cdo.etypes

Methods in org.eclipse.emf.cdo.etypes that return AnnotationValidator
Modifier and Type
Method
Description
`AnnotationValidator`
AnnotationValidator.Registry.`getAnnotationValidator(String annotationSource)`
Looks up the annotation source in the registry.

## Uses of AnnotationValidator in org.eclipse.emf.cdo.etypes.util

Classes in org.eclipse.emf.cdo.etypes.util that implement AnnotationValidator
Modifier and Type
Class
Description
`class`
`BasicAnnotationValidator`
A basic implementation of an `annotation validator`.